Subject: 28.1; insert-directory-program should be ls-program
From: Howard Melman <[email-masked]>
To: GNU Emacs <[email-masked]>
Date: Fri, 15 Apr 2022 15:24:41 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This is minor, but I think insert-directory-program should
be called ls-program.  I'm sure it's for historical reasons
but a variable alias or other solution would be great.

On the mac I think it's common to install gnu ls as "gls"
and I had hard time finding the emacs variable to set to
have it use this.  There are several dozen such variables
and they all follow a similar more discoverable naming
pattern as this sample:

find-program
grep-program
xargs-program
dig-program
dired-chmod-program
dired-chown-program
dired-touch-program
ediff-cmp-program
ediff-diff-program
epg-gpg-program
mm-url-program
sendmail-program
tramp-adb-program
vc-bzr-program
vc-git-program
vc-hg-program
vc-mtn-program
vc-src-program
vc-svn-program

Howard

In GNU Emacs 28.1 (build 1, x86_64-apple-darwin20.6.0, Carbon Version 164 AppKit 2022.6)
of 2022-04-09 built on Mac-1649520554451.local
Repository revision: ee79b048bbb2fd4a962dfb2204cc7a2f0d5237d8
Repository branch: 28.1-mac-9.0-CI
Windowing system distributor 'Apple Inc.', version 11.6.5
System Description:  macOS 11.6.5

Configured using:
'configure --with-mac
--enable-locallisppath=/usr/local/share/emacs/site-lisp:/opt/homebrew/share/emacs/site-lisp
--enable-mac-app=/Users/runner/work/homebrew-emacsmacport/homebrew-emacsmacport/build-scripts/emacs-source/tmproot
--prefix=/Users/runner/work/homebrew-emacsmacport/homebrew-emacsmacport/build-scripts/emacs-source/tmproot
--enable-mac-self-contained --with-modules'